Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7445 - bash2 and xemacs, error in font-lock-fontify-buffer
Summary: bash2 and xemacs, error in font-lock-fontify-buffer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: xemacs
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-30 15:45 UTC by santini
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 19:08:51 UTC


Attachments (Terms of Use)
Patch to work-around the problem (deleted)
1999-12-10 06:10 UTC, fortytwo
no flags Details | Diff

Description santini 1999-11-30 15:45:11 UTC
RedHat has chosen to call the bash2 the new bash v2.x (to reduce downwards
compatibility problems?) thus introducing some little problem here and
there :-)

One of this is the "fontify"-cation of shell files in xemacs, which
results in all sort of strange errors (no file is opened at all, if
fontifycation is by default!). The reason seems to be that the elisp code
looks at the SHELL env variable to determine the correct fontifycation
style, and bash2 is not considered as a correct shell.

Suggestion: export SHELL=/bin/bash, but even better: why not throwing away
the old bash and using the v2.x?

	Massimo

Comment 1 Tim Powers 1999-11-30 16:13:59 UTC
We would love to throw away the old bash and just use the new, but at the time
there were (and still are) issues with old bash scripts not working with bash2.

Just out of curiosity, when you do this "SHELL=/bin/bash" is the problem fixed?

Tim

Comment 2 fortytwo 1999-12-10 06:02:59 UTC
Changing $SHELL to "/bin/bash" works.  Since it's such a simple problem, xemacs
is ready for the fix.  :)

In xemacs, Menuitem
Options->Customize->Emacs->Programming->Languages->Sh->Ancestor Alist

Click on the [INS] at the end and fill in

------
[INS] [DEL] Cons-cell:
            Symbol: bash2
            Symbol: bash
------

Patch to follow.

Comment 3 fortytwo 1999-12-10 06:10:59 UTC
Created attachment 38 [details]
Patch to work-around the problem

Comment 4 Ngo Than 2000-02-08 19:08:59 UTC
apply the patch to xemacs


Note You need to log in before you can comment on or make changes to this bug.